//+------------------------------------------------------------------+
//|                                                      ProjectName |
//|                                      Copyright 2014, CompanyName |
//|                                       http://www.companyname.net |
//+------------------------------------------------------------------+
#property script_show_inputs
//+------------------------------------------------------------------+
input string    Export_FileName  = "NeuroPro\\data.csv"; //    (  "MQL5/Files")
input int       Export_Bars_Skip = 0;    //      
input int       Export_Bars      = 5000; // -    
//+------------------------------------------------------------------+
const int inputlen=24; //      
//+------------------------------------------------------------------+
void OnStart()
  {

//  
   int file=FileOpen(Export_FileName,FILE_WRITE|FILE_CSV|FILE_ANSI,',');

   if(file!=INVALID_HANDLE)
     {
      //   

      string row="date";
      for(int i=0; i<=inputlen; i++)
        {
         if(StringLen(row)) row+=",";
         //========================================================
         // Note! 
         //       [].
         //     DBase   11 . Calc   10.
         //      DBase - 128-512,    .
         //========================================================
         StringConcatenate(row,row,"Bar___",i,"__");
        }
      FileWrite(file,row);

      //      

      MqlRates rates[],rate;
      int count=Export_Bars+inputlen;
      if(CopyRates(Symbol(),Period(),1+Export_Bars_Skip,count,rates)<count)
        {
         Print("!       .");
         return;
        }
      ArraySetAsSeries(rates,true);

      //        

      for(int bar=0; bar<Export_Bars; bar++)
        {
         row="";

         double zlevel=rates[bar+1].close; //   1-        

         for(int i=0; i<=inputlen; i++)
           {
            if(StringLen(row)) row+=",";

            rate=rates[bar+i];

            if(i==0) row+=TimeToString(rate.time,TIME_DATE || TIME_MINUTES)+",";

            row+=DoubleToString(rate.close-zlevel,Digits());
           }

         FileWrite(file,row);
        }

      FileClose(file);
      Print("   .");
     }
   else Print("!       . ",GetLastError());
  }
//+------------------------------------------------------------------+
